Стратегия обновления с версии 10.0.1.52 на версию 10.2.5.0

Требования:

  1. Все части системы должны быть успешно обновлены до соответствующей версии:

    1. SetRetail 10.0.1.52_11

    2. SetCentrum 10.0.1.52_11

    3. Кассы 10.0.1.52_10

  2. ОБЯЗАТЕЛЬНО!!. Обновление касс производим ТОЛЬКО при ЗАКРЫТОЙ смене

  3. Отключены системы мониторинга SetRetail 10


Последовательность обновления:

При использовании топологии Centrum + Retail(s) + Cash(es):

  1. Обновить сервера магазинов до версии 10.2.5.0 (ВНИМАНИЕ!!! После обновления сервера магазина необходимо ОБЯЗАТЕЛЬНО проверить статус подключения магазина к Центруму)

В процессе обновления на некоторое время (в зависимости от объемов БД) пропадет связь с МУКом. Необходимо дождаться восстановления связи и перезапустить визуализацию air-приложения - она обновится до последней версии.

  1. После обновления сервера магазина до 10.2.5.0, можно обновлять кассы этого магазина до версии 10.2.5.0

  1. Только после обновления всех серверов магазинов сети до версии 10.2.5.0 можно обновить Centrum до версии 10.2.5.0

При использовании топологии Centrum + Cash: (сервера магазинов не используются)

  1. Обновить Centrum до версии 10.2.5.0
  2. Обновлять кассы до версии 10.2.5.0

Возможные риски при обновлении:


  • Во время обновления, ни в коем случае, не перезагружать кассу аппаратно (можно только командой sudo reboot)!!! В противном случае есть вероятность потерять настройки МУКа

  • Перед обновлением НЕБХОДИМО проверить автоматический старт Службы времени Windows. В противном случае возможны проблемы с синхронизацией времени на кассах

  • В случае возникновения проблем с лицензией после обновления серверов необходимо обратиться к менеджеру для перегенерирования ключей лицензии

  • При выгрузке данных из ERP транспорт Centrum версии 10.0.1.52-Retail версии 10.2 работает, но со значительным замедлением.

  • При обновлении серверов на 32 разрядных системах может возникнуть ошибка старта службы из-за нехватки свободного единого блока памяти. В этом случае необходимо перезагрузить компьютер полностью.

ВАЖНО! При обновлении linux-версии, обязательно проверить файл /etc/sudoers
Строка Default requiretty должна быть закомментирована по примеру:
jboss ALL=(ALL) NOPASSWD:ALL
#Default requiretty


Не забудьте прочесть: